## wwl 1.3+db

=== Makefile ===
# September 2007
# Diane Bruce <va3db@amsat.org>

PREFIX?=	/usr/local
MANPREFIX?=	/usr/local/man
MAN1PREFIX?=	${MANPREFIX}/man1
LN?=		ln
INSTALL?=	install
GZIP?=		gzip
CP?=		cp
RM?=		rm
MKDIR?=		mkdir
TAR?=		tar
RELEASE=	wwl+db-1.3

all: wwl locator

wwl:	wwl.c 
	$(CC) $(CFLAGS) -o wwl wwl.c -lm

locator: wwl
	${RM} -f locator
	${LN} -s wwl locator

install:	all
	${RM} -f ${PREFIX}/bin/locator
	${RM} -f ${PREFIX}/bin/wwl
	${INSTALL}	wwl ${PREFIX}/bin/wwl
	${LN} -s ${PREFIX}/bin/wwl ${PREFIX}/bin/locator
	${INSTALL} wwl.1 ${MAN1PREFIX}/wwl.1
	${GZIP} -f ${MAN1PREFIX}/wwl.1
	${LN} -s ${MAN1PREFIX}/wwl.1.gz ${MAN1PREFIX}/locator.1.gz
	
deinstall:
	${RM} -f ${PREFIX}/bin/wwl
	${RM} -f ${PREFIX}/bin/locator
	${RM} -f ${MAN1PREFIX}/wwl.1.gz
	${RM} -f ${MAN1PREFIX}/locator.1.gz

release:
	@${RM} -rf ${RELEASE}
	@${MKDIR} ${RELEASE}
	@${CP} Makefile ${RELEASE}
	@${CP} wwl.c ${RELEASE}
	@${CP} wwl.1 ${RELEASE}
	@${CP} INSTALL ${RELEASE}
	${TAR} cvfz ${RELEASE}.tar.gz ${RELEASE}
	@${RM} -rf ${RELEASE}

clean:
	rm -f wwl *~ wwl locator *.o
	rm -rf ${RELEASE}.tar.gz ${RELEASE}

=== debian/changelog ===
wwl (1.3+db-3) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update Vcs-* headers from vcswatch.

  [ Chris Danis ]
  * Update to current standards version.
  * Bump debhelper compat to 13.
  * Remove Ian from Uploaders and add myself (closes: #970369).

  [ Francisco Vilmar Cardoso Ruviaro ]
  * Configure git-buildpackage for Debian.
  * Remove trailing whitespaces.
  * Run wrap-and-sort -a.
  * debian/copyright:
      - Updated packaging copyright.
  * debian/patches/use-ldflags.patch: added CPPFLAGS variable.
  * debian/rules: added DEB_BUILD_MAINT_OPTIONS variable to improve GCC
    hardening.
  * debian/gitlab-ci.yml: added to provide CI tests for Salsa.
  * debian/wwl.lintian-overrides: removed.

 -- Chris Danis <cdanis@gmail.com>  Tue, 29 Sep 2020 20:23:52 -0400

wwl (1.3+db-2) unstable; urgency=medium

  * Acknowledge NMU
  * Bump compat level to 9
  * Source format changed to "3.0 (quilt)"
  * debian/control:
    - Bump standards version to 3.9.6
    - Change debhelper version to >= 9
    - Added ${misc:Depends} to Build-Depends
    - Added Vcs-* fields for the pkg-hamradio Git
    - Added a homepage link
    - Removed inactive uploaders:
      * Jaime Robles (never uploaded)
      * Patrick Ouellette (never uploaded)
      * Hamish Moffatt (by request)
    - Added myself to uploaders
  * debian/rules:
    - Switched to streamlined dh format
  * Created debian/wwl.{install,manpages}
  * Removed redundant debian/wwl.dirs
  * debian/patches/remove-locator.patch:
    - Import the old changes into a quilt patch
    - Update the patch to print version 1.3 instead of version 1.0
  * debian/copyright:
    - Converted to DEP-5
  * debian/watch:
    - Watch file created

 -- Iain R. Learmonth <irl@fsfe.org>  Tue, 11 Aug 2015 12:21:18 +0100

wwl (1.3+db-1.1) unstable; urgency=low

  * Retiring - remove myself from the uploaders list

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 18 Nov 2009 20:26:12 +0000

wwl (1.3+db-1) unstable; urgency=low

  * New upstream release. Closes: 243762.
  * License change, see the copyright file.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 05 Nov 2007 18:45:21 +0100

wwl (1.2-2) unstable; urgency=low

  * Donate to debian-hams team.
  * Update to latest standards-revision.
  * Update FSF address in debian/copyright file.

 -- Hamish Moffatt <hamish@debian.org>  Fri, 19 Oct 2007 00:52:19 +1000

wwl (1.2-1) unstable; urgency=low

  * Sync with "new" (~2000) upstream release, which doesn't change anything
    not already fixed in Debian
  * Support 4-charactor locators; if the last two characters are not
    supplied, AA is assumed (closes: #229698, #222026)
  * Update for standards-revision 3.6.2

 -- Hamish Moffatt <hamish@debian.org>  Sun, 28 Aug 2005 12:31:44 +1000

wwl (1.1-6) unstable; urgency=low

  * Added manual page contributed by Kevin Kreamer <kkreamer@etherhogz.org>
    (closes: #191903)
  * Upgrade to debhelper 4

 -- Hamish Moffatt <hamish@debian.org>  Tue,  6 May 2003 00:03:20 +1000

wwl (1.1-5) unstable; urgency=low

  * Cleaned up some Lintian warnings

 -- Hamish Moffatt <hamish@debian.org>  Thu, 31 Jan 2002 00:03:51 +1100

wwl (1.1-4) unstable; urgency=low

  * Fixed bugs in calculating azimuth (closes: #70425)
    Thanks to Pieter-Tjerk de Boer for the fixes.

 -- Hamish Moffatt <hamish@debian.org>  Tue,  2 Jan 2001 23:01:29 +1100

wwl (1.1-3) unstable; urgency=low

  * Fixed bugs with lower case and incorrect locators (closes: #69826)

 -- Hamish Moffatt <hamish@debian.org>  Sat, 26 Aug 2000 12:32:09 +1000

wwl (1.1-2) unstable; urgency=low

  * FHS compliant

 -- Hamish Moffatt <hamish@debian.org>  Fri,  1 Oct 1999 19:07:00 +1000

wwl (1.1-1) unstable; urgency=low

  * First upload

 -- Hamish Moffatt <hamish@debian.org>  Sun, 13 Dec 1998 15:55:00 +1100

=== debian/control ===
Source: wwl
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Chris Danis <cdanis@gmail.com>
Section: hamradio
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/wwl
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/wwl.git
Homepage: http://www.db.net/downloads/

Package: wwl
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Calculates distance and azimuth between two Maidenhead locators
 Given two Maidenhead locators, wwl calculates distance (qrb) and azimuth.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install: ; # handled with a debian/wwl.install
